Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Beginner
8 Views

2011 (v12.0) on OS X - migration to Mavericks problem

I migrated my Leopard system to Mavericks today, and now I'm running into compile/link problems on my existing projects (built with XCode 3.2.5).

The errors include missing "cxxabi.h" (from <stdexcept>) during compile, and missing "libstdc++" during link.

I've successfully migrated from previous OS releases before with no problems, so I'm wondering if this is fixable?

Unfortunately, I don't have my C++ compiler installer anymore, and I can't find a download link for it, so I can't try just reinstalling the Intel compiler. Anyone have a link?

I may upgrade to the latest 2013 compiler though, if it still works with Xcode 3.x.

0 Kudos
2 Replies
Highlighted
Valued Contributor II
8 Views

>>...Unfortunately, I don't have my C++ compiler installer anymore, and I can't find a download link for it... Did you check at http://registrationcenter.intel.com/regcenter/register.aspx?
0 Kudos
Highlighted
Employee
8 Views

The latest compiler (14.0 update 1) works with Xcode 4.6.x and later.

Unfortunately compiler v12.0 is not supported more.

0 Kudos